table{
  border: 3px solid purple !important;
  background-color: rgba(255, 255, 255, 0.7);
    /* Otros estilos que desees agregar */
}

.blanco-text {
    color: white;
}

/*  Estilos para personalizar jquery validate*/
label.error{
  color:red;
  font-weight: bold;
}

input.error, select.error, textarea.error, option.error{
  border: 1px solid red;
}

.bg-purple {
    background-color: purple !important;
}

body {
    background: url('https://w.wallhaven.cc/full/39/wallhaven-39mppy.jpg') no-repeat center center fixed;
    background-size: cover;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}
.content {
    flex: 1;
}
.footer {
    background-color: #C8000A;
    color: black;
    padding: 25px;
}


/* Estilos adicionales para la tabla */
#tbl_prov th, #tbl_prov td {
    font-size: 16px; /* Tamaño de la fuente en la tabla */
}


/* Cambiar color de fondo al pasar el ratón sobre los botones de DataTables */
#tbl_prov_wrapper .dt-buttons button:hover {
    background-color: #0056b3;
    border-color: #0056b3;
}

/* Estilo para todos los inputs con la clase form-control */
.form-control {
    border: 1px solid #ced4da;
    border-radius: 4px;
    background-color: rgba(255, 255, 255, 0.7);
    padding: 10px;
    font-size: 16px;
}

/* Estilos generales para todas las tablas */
.table {
    width: 100%;
    margin-bottom: 1rem;
    color: #212529;
}

/* Estilos para las celdas de encabezado de la tabla */
.table th {
    padding: 0.75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
}

/* Estilos para las celdas de la tabla */
.table td {
    padding: 0.75rem;
    vertical-align: top;
    border-top: 1px solid #dee2e6;
}

/* Estilos para las filas impares de la tabla */
.table tbody tr:nth-of-type(odd) {
    background-color: rgba(0, 0, 0, 0.05);
}

/* Estilos para los botones de la tabla */
.table .btn {
    padding: 0.375rem 0.75rem;
    font-size: 0.9rem;
}

/* Estilos para los botones de acción (Editar, Borrar) */
.table .btn-warning, .table .btn-danger {
    color: #fff;
}

/* Estilos para los botones de acción (Editar) */
.table .btn-warning {
    background-color: #ffc107;
    border-color: #ffc107;
}

/* Estilos para los botones de acción (Borrar) */
.table .btn-danger {
    background-color: #dc3545;
    border-color: #dc3545;
}
